Loading...
Searching...
No Matches
display.h File Reference
libavutil » Video related » Display transformation matrix functions

Display matrix. More...

`#include <stdint.h>`

Go to the source code of this file.

## Functions

double | av_display_rotation_get (const int32_t matrix[9])
| Extract the rotation component of the transformation matrix.
void | av_display_rotation_set (int32_t matrix[9], double angle)
| Initialize a transformation matrix describing a pure clockwise rotation by the specified angle (in degrees).
void | av_display_matrix_flip (int32_t matrix[9], int hflip, int vflip)
| Flip the input matrix horizontally and/or vertically.

## Detailed Description

Display matrix.

Definition in file display.h.